\section{Mixed}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{The function}

Consider the function 
\begin{eqnarray*}
g(X) = X_1 + a X_1 X_2
\end{eqnarray*}
where $X_1, X_2$ are independent random variables 
with means $\mu_1, \mu_2$ and variances 
$\sigma_1^2, \sigma_2^2$ 
and $a\in\RR$. 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{Expectation}

The expected value of $Y$ is:
\begin{eqnarray*}
E(Y)
&=& E[X_1(1+aX_2)] \\
&=& E(X_1)E(1+aX_2) \\
&=& \mu_1 (1+a\mu_2).
\end{eqnarray*}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{Variance}

The variance of $Y$ is:
\begin{eqnarray*}
V(Y)
&=& E(Y^2)-E(Y)^2\\
&=& E[(X_1(1+aX_2))^2]-(\mu_1 (1+a\mu_2))^2\\
&=& E[X_1^2(1+aX_2)^2]-\mu_1^2 (1+a\mu_2)^2\\
&=& E(X_1^2)E((1+aX_2)^2)- \mu_1^2 (1+a\mu_2)^2\\
&=& \left[V(X_1)+E(X_1)^2\right] \left[V(1+aX_2) + E(1+aX_2)^2\right]-\mu_1^2 (1+a\mu_2)^2 \\
&=& (\sigma_1^2+\mu_1^2) \left(a^2 V(X_2) + (1+aE(X_2))^2\right) - \mu_1^2 (1+a\mu_2)^2 \\
&=& (\sigma_1^2+\mu_1^2) \left(a^2 \sigma_2^2 + (1+a\mu_2)^2\right) - \mu_1^2 (1+a\mu_2)^2 \\
&=& (\sigma_1^2+\mu_1^2) a^2 \sigma_2^2 + (\sigma_1^2+\mu_1^2) (1+a\mu_2)^2 - \mu_1^2 (1+a\mu_2)^2 \\
&=& (\sigma_1^2+\mu_1^2) a^2 \sigma_2^2 + (\sigma_1^2+\mu_1^2 - \mu_1^2) (1+a\mu_2)^2\\
&=& (\sigma_1^2+\mu_1^2) a^2 \sigma_2^2 + \sigma_1^2  (1+a\mu_2)^2
\end{eqnarray*}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{First order sensitivity indices}

Let $x_1\in\RR$. 
We have
\begin{eqnarray*}
E(Y|X_1=x_1)
&=&E(x_1(1 + a X_2)) \\
&=&x_1 E(1 + a X_2) \\
&=&x_1 (1 + a E(X_2)) \\
&=&x_1 (1 + a \mu_2).
\end{eqnarray*}
Therefore, we must consider the random variable
\begin{eqnarray*}
E(Y|X_1)
&=&X_1 (1 + a \mu_2).
\end{eqnarray*}
Hence,
\begin{eqnarray*}
V(E(Y|X_1))
&=&E(E(Y|X_1)^2) - E(E(Y|X_1))^2 \\
&=&E(X_1^2 (1 + a \mu_2)^2) - E(Y)^2 \\
&=&(1 + a \mu_2)^2 E(X_1^2) - \mu_1^2 (1+a\mu_2)^2 \\
&=&(1 + a \mu_2)^2 (V(X_1)+E(X_1)^2) - \mu_1^2 (1+a\mu_2)^2 \\
&=&(1 + a \mu_2)^2 (\sigma_1^2+\mu_1^2) - \mu_1^2 (1+a\mu_2)^2 \\
&=&\sigma_1^2 (1 + a \mu_2)^2.
\end{eqnarray*}
Therefore, the first order sensitivity indice for $X_1$ is
\begin{eqnarray*}
S_1
&=& \frac{V(E(Y|X_1))}{V(Y)} \\
&=&\frac{\sigma_1^2 (1 + a \mu_2)^2}{V(Y)}.
\end{eqnarray*}

Let $x_2\in\RR$. 
We have
\begin{eqnarray*}
E(Y|X_2=x_2)
&=&E(X_1(1 + a x_2)) \\
&=&E(X_1)(1 + a x_2) \\
&=&\mu_1(1 + a x_2).
\end{eqnarray*}
Therefore, we consider the random variable
\begin{eqnarray*}
E(Y|X_2)
&=&\mu_1(1 + a X_2).
\end{eqnarray*}
We have
\begin{eqnarray*}
V(E(Y|X_2))
&=&V(\mu_1(1 + a X_2))\\
&=&\mu_1^2 V(1 + a X_2)\\
&=&\mu_1^2 a^2 V(X_2)\\
&=&\mu_1^2 a^2 \sigma_2^2.
\end{eqnarray*}
Hence, the 
Therefore, the first order sensitivity indice for $X_2$ is
\begin{eqnarray*}
S_2
&=& \frac{V(E(Y|X_2))}{V(Y)} \\
&=& \frac{\mu_1^2 a^2 \sigma_2^2}{V(Y)}.
\end{eqnarray*}

There are only two variables. 
Therefore, 
\begin{eqnarray*}
1 = S_1 + S_2 + S_{1,2}.
\end{eqnarray*}
Hence, 
\begin{eqnarray*}
S_{1,2} 
&=& 1 - S_1 - S_2\\
&=& 1 - \frac{\sigma_1^2 (1 + a \mu_2)^2}{V(Y)} - \frac{\mu_1^2 a^2 \sigma_2^2}{V(Y)}\\
&=& \frac{(\sigma_1^2+\mu_1^2) a^2 \sigma_2^2 + \sigma_1^2  (1+a\mu_2)^2 - \sigma_1^2 (1 + a \mu_2)^2 - \mu_1^2 a^2 \sigma_2^2}{V(Y)}\\
&=& \frac{a^2 \sigma_1^2 \sigma_2^2}{V(Y)}\\
\end{eqnarray*}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{Total sensitivity indices}

We have:
\begin{eqnarray*}
ST_1 
&=& S_1  + S_{1,2} \\
&=& \frac{\sigma_1^2 (1 + a \mu_2)^2}{V(Y)} + \frac{a^2 \sigma_1^2 \sigma_2^2}{V(Y)}\\
&=& \frac{\sigma_1^2 (1 + a \mu_2)^2 + a^2 \sigma_1^2 \sigma_2^2}{V(Y)} \\
&=& \sigma_1^2 \frac{ (1 + a \mu_2)^2 + a^2 \sigma_2^2}{V(Y)}
\end{eqnarray*}
and
\begin{eqnarray*}
ST_2 
&=& S_2  + S_{1,2} \\
&=& \frac{\mu_1^2 a^2 \sigma_2^2}{V(Y)} + \frac{a^2 \sigma_1^2 \sigma_2^2}{V(Y)}\\
&=& \frac{\mu_1^2 a^2 \sigma_2^2 + a^2 \sigma_1^2 \sigma_2^2}{V(Y)} \\
&=& a^2 \sigma_2^2 \frac{\mu_1^2 + \sigma_1^2 }{V(Y)}.
\end{eqnarray*}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{Sobol' decomposition}

The first function of the decomposition is
\begin{eqnarray*}
h_0
&=& E(Y) \\
&=& \mu_1 (1+a\mu_2).
\end{eqnarray*}
The first order functions are
\begin{eqnarray*}
h_1(x_1)
&=& E(Y|X_1=x_1) - h_0\\
&=& x_1(1+a\mu_2) - \mu_1(1+a\mu_2) \\
&=& (x_1-\mu_1)(1+a\mu_2),
\end{eqnarray*}
and
\begin{eqnarray*}
h_2(x_2)
&=& E(Y|X_2=x_2) - h_0\\
&=& \mu_1(1+ax_2) - \mu_1(1+a\mu_2) \\
&=& \mu_1 a(x_2-\mu_2).
\end{eqnarray*}
The second order function $h_{1,2}$ is so that
\begin{eqnarray*}
g(x_1,x_2)
 = h_0 + h_1(x_1) + h_2(x_2) + h_{1,2}(x_1,x_2). 
\end{eqnarray*}
Hence
\begin{eqnarray*}
h_{1,2}(x_1,x_2)
&=&g(x_1,x_2) - h_0 - h_1(x_1) - h_2(x_2) \\
&=&x_1+ax_1x_2 - \mu_1(1+a\mu_2) - (x_1-\mu_1)(1+a\mu_2) - \mu_1a(x_2-\mu_2) \\
&=&x_1+ax_1x_2  + ( - \mu_1 -x_1 + \mu_1)(1+a\mu_2) - \mu_1a(x_2-\mu_2) \\
&=&x_1+ax_1x_2  -x_1 (1+a\mu_2) - \mu_1a(x_2-\mu_2) \\
&=&x_1+ax_1x_2  -x_1  - x_1 a\mu_2 - \mu_1a(x_2-\mu_2) \\
&=&ax_1x_2  - x_1 a\mu_2 - \mu_1a(x_2-\mu_2) \\
&=&ax_1 (x_2  - \mu_2) - \mu_1a(x_2-\mu_2) \\
&=&a(x_1-\mu_1) (x_2  - \mu_2).
\end{eqnarray*}
